Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingTaskSummaryResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingTaskSummaryResponseHandler

All Implemented Interfaces:
  ResponseHandler, TaskClientHandler.TaskSummaryResponseHandler

    public class BlockingTaskSummaryResponseHandler

extends AbstractBlockingResponseHandler
implements TaskClientHandler.TaskSummaryResponseHandler

Constructor Summary
`BlockingTaskSummaryResponseHandler()`

Method Summary
`void` | `execute(List<TaskSummary> results)`
`List<TaskSummary>` | `getResults()`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingTaskSummaryResponseHandler

    public BlockingTaskSummaryResponseHandler()

Method Detail

### execute

    public void execute(List<TaskSummary> results)

  Specified by:
    `execute` in interface `TaskClientHandler.TaskSummaryResponseHandler`

### getResults

    public List<TaskSummary> getResults()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.